using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsAnalysisType {
        public BemsAnalysisType() {
            BemsMonitoringPointToAnlaysisType = new HashSet<BemsMonitoringPointToAnlaysisType>();
        }

        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "고장 유형"), Key]
        public int AnalysisType { get; set; }
        [Display(Name = "고장 유형 이름")]
        [StringLength(48)]
        public string Name { get; set; }

        [InverseProperty("BemsAnalysisType")]
        public virtual ICollection<BemsMonitoringPointToAnlaysisType> BemsMonitoringPointToAnlaysisType { get; set; }
    }
}
